import org.chocosolver.solver.variables.impl.BoolVarImpl;
import org.chocosolver.solver.Model;

public class Decision extends BoolVarImpl{
    Operation op_i;
    Operation op_j;

    Decision(Model model,Operation op_i,Operation op_j){
	super("dec-"+ op_i.id +"-"+ op_j.id,model);
	this.op_i = op_i;
	this.op_j = op_j;
    }

    public String toString(){return "{"+ op_i +  "," + op_j + "}";}
    
    Operation getOp_i(){return op_i;}
    Operation getOp_j(){return op_j;}
}
//
// A Decision is a triple where 0/1 variable decides
// the ordering between two operations on a resource
//
